function y=excess_charge(x,tc,KT)
% x: 1D array for centered detuning in ueV
% tc : tunnel coupling in ueV
% KT : temperature in ueV
omega = sqrt(x.^2+4*tc^2);
y = 0.5*(1+x.*tanh(omega/2/KT)./omega);
end