function y=pat_function(x,x0,tc,la)
% x: 1D array for gate voltage (mV)
% y: PAT frequency in GHz
% x0: offset in x
% tc : tunnel coupling in ueV
% la : lever arm ueV/mV
ghz_to_uev = 4.1361; % conversion from GHz to ueV
y = sqrt(((x-x0)*la).^2+4*tc^2)/ghz_to_uev;
end